Subject: RE: MPLS PID

From: [email-masked]
Date: Wed, 26 Mar 2003 20:01:05 -0000

My vote is with this view too.  regards, Neil

-----Original Message-----
From: Shahram Davari [mailto:[email-masked]]
Sent: 26 March 2003 19:11
To: 'David Allan'; 'Yaakov Stein'; W. Mark Townsley; Andrew G. Malis
Cc: [email-masked]; [email-masked]
Subject: RE: [PWE3] MPLS PID

I also agree with Dave/Andy/Ron/Alia. If PID is needed, do it properly by
defining a standard protocol Mux header such as LLC/SNAP. Those interested
in identifying the protocol in the interior routers would then require to
carry this header in all packets.
 
-Shahram

-----Original Message-----
From: David Allan [mailto:[email-masked]]
Sent: Wednesday, March 26, 2003 1:38 PM
To: 'Yaakov Stein'; W. Mark Townsley; Andrew G. Malis
Cc: [email-masked]; [email-masked]
Subject: RE: [PWE3] MPLS PID

Yakov: 

We don't have 14 values, we are talking inferring payload on the basis of
defacto IETF protocol payloads (IPv4 and IPv6). PWE3 and MPLS do not own
IPv4/v6 or any subsequent network layer protocols the IETF may choose to
develop. 

I agree with Andy that if a PID is required, lets do it properly. 

Dave 

> -----Original Message----- 
> From: Yaakov Stein [ mailto:[email-masked] <mailto:[email-masked]> ] 
> Sent: Wednesday, March 26, 2003 11:08 AM 
> To: W. Mark Townsley; Andrew G. Malis 
> Cc: [email-masked]; [email-masked] 
> Subject: RE: [PWE3] MPLS PID 
> 
> 
> > One possibility for an extended PID that comes to mind is 
> > defining one of the remaining 14 values within the first 
> nibble as "extended PID" 
> > and follow it with whatever PID definition you like. 
> 
> Another, which I proposed in draft-stein-pwe3-controlword-00.txt, 
> is to use the 4 bits to disambiguate the relevant possibilities. 
> 
> Since an atm-encap implementation will probably not 
> understand ethernet-encap, the non 4/6 values could be used 
> for submodes (e.g. 1:1, N:1, PDU, SDU). Similarly, the TDM 
> sub-identifier could differentiate between raw,  AAL1, AAL2, etc. 
> 
> Alternatively, we could go for a "sanity check" 
> PWE identifier. We have 14 values available 
> and so far have only defined a few PW types 
> (ATM, FR, SONET, TDM, ethernet). 
> 
> Y(J)S 
> 
> _______________________________________________ 
> pwe3 mailing list 
> [email-masked] 
> https://www1.ietf.org/mailman/listinfo/pwe3
<https://www1.ietf.org/mailman/listinfo/pwe3>